Bug 46769 - ping6 and traceroute6 should be setuid
Summary: ping6 and traceroute6 should be setuid
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: iputils   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords: FutureFeature
: 23792 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-30 10:53 UTC by Pekka Savola
Modified: 2015-03-05 01:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-30 10:54:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pekka Savola 2001-06-30 10:53:59 UTC
ping6 and traceroute6  are are installed setuid root as their ipv4 equivalents
are.

These should be done.

Root privileges are dropped very early, as early as in ping and traceroute, so
this creates no additional security problems.

Comment 1 Phil Knirsch 2001-07-02 09:41:21 UTC
Erh, yes, like 2 lines into main the setuid() call is done. Thats good enough
for me, so i'll include the changes.

Is/usr/sbin/ping6 ok as place or should it be moved to the same location as ping
(/bin)? It's not used by any of the 'standard' network-scripts nor by any of the
initscripts, so i guess /usr/sbin is fine.

Read ya, Phil

Comment 2 Pekka Savola 2001-07-02 09:50:51 UTC
Under /usr is fine for now I think.

Another issue is whether these would have to be moved to /usr/_bin_, as they're
setuid executable by users.  That's what some people think FHS requires. 
There's a pr# about that under traceroute.


Comment 3 Pekka Savola 2001-09-14 05:33:51 UTC
*** Bug 23792 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.